@import url("/share/static/css/default_page.css");
@import url("/home/views/css/contact.css");

html {
    scroll-behavior: smooth;
}

section {
    --red: #9f1212;
    --orange: #f5a300;
    --action-btn-font-sz: 30px;
    --action-btn-width: 500px;
    --banner-padding: 5%;
    --banner-background-img: url("https://cloud.promuevete.com.mx/bic_public/promuevete%20con%20Bic/banner-clear.webp");
    --banner-font-sz: 50px;

    width: 100vw;
    max-width: 100vw;

    &.pcb__banner {
        height: 100vh;
        background-image: var(--banner-background-img);
        background-size: cover;
        background-position: center center;
        color: black;
        padding: var(--banner-padding);
        display: grid;
        place-items: center;

        .message {
            font-size: var(--banner-font-sz);

            h1 {
                font-size: 2em;
                font-weight: bold;
                margin-bottom: 1rem;
            }

            p {
                font-size: 1.1em;
                color: var(--red);
                margin-left: 4ch;

                sup {
                    font-size: 0.5em;
                }
            }
        }

        a {
            text-align: center;
            background-color: var(--red);
            color: white;
            font-size: var(--action-btn-font-sz);
            width: var(--action-btn-width);
            padding: 15px 30px;
            text-transform: uppercase;
            font-weight: bold;
            border-radius: var(--border-radius);
            transition: color 0.5s background-color 0.6s;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);

            &:hover {
                color: var(--red);
                background-color: white;
                transition: color 0.5s background-color 0.6s;
            }
        }
    }

    &.pcb__02 {
        display: grid;
        place-items: center;

        .pcb__02__categories {
            display: flex;
            padding: 2% 1%;
            flex-wrap: wrap;
            justify-content: space-evenly;
            gap: 1rem;
            width: 100%;
            max-width: 1500px;

            .category {
                display: grid;
                grid-template-rows: 40px auto 80px 35px;
                width: 300px;
                text-align: center;
                border-radius: var(--border-radius);
                background-color: #fbfbfb;

                .name {
                    background-color: var(--orange);
                    color: white;
                    padding: 5px 0;
                    font-size: 25px;
                    border-radius: var(--border-radius) var(--border-radius) 0 0;
                }

                img {
                    width: 100%;
                }

                .description {
                    color: var(--font-color);
                    padding: 0 2%;
                }

                a {
                    color: var(--orange);
                    font-size: 1.1rem;
                    padding-bottom: 1rem;

                    &:hover {
                        text-decoration: underline;
                    }
                }
            }
        }

        .pcb__02__text {
            --h2-font-sz: 45px;
            --text-font-sz: 25px;
            max-width: 1080px;
            margin-top: 3%;

            h2 {
                text-align: center;
                color: var(--orange);
                font-size: var(--h2-font-sz);
                margin-bottom: 2rem;
                font-weight: bold;
            }

            .box {
                display: grid;
                grid-template-columns: 65% 35%;

                @media screen and (max-width: 1080px) {
                    grid-template-columns: 100%;
                    grid-template-rows: none;
                }

                picture {
                    display: grid;
                }

                img {
                    justify-self: center;
                    width: 90%;
                    max-width: 80vw;
                }

                div {
                    padding: 2%;
                    display: grid;
                    grid-template-rows: 1fr 1fr 1fr;
                    height: fit-content;

                    @media screen and (max-width: 1080px) {
                        grid-template-rows: none;
                    }

                    p {
                        font-size: var(--text-font-sz);
                        padding-bottom: 0.5rem;
                    }

                    a {
                        border: 2px solid var(--orange);
                        color: var(--orange);
                        font-size: var(--text-font-sz);
                        font-weight: bold;
                        text-transform: uppercase;
                        padding: 0.5rem 1rem;
                        border-radius: var(--border-radius);
                        max-width: 300px;
                        display: grid;
                        place-items: center;
                        background-color: white;
                        transition: color 0.5s background-color 0.6s;

                        &:hover {
                            color: white;
                            background-color: var(--orange);
                            transition: color 0.5s background-color 0.6s;
                        }
                    }
                }
            }

            @media screen and (max-width: 1080px) {
                --h2-font-sz: 35px;
                --text-font-sz: 20px;
            }

            @media screen and (max-width: 500px) {
                --h2-font-sz: 29px;
                --text-font-sz: 19px;
            }
        }
    }

    &.pcb__product {
        --product-h2-font-sz: 45px;
        --product-subtitle-font-sz: 25px;
        --product-txt-font-sz: 20px;
        --product-txt-align: center;
        display: grid;
        width: 100vw;
        justify-content: center;
        padding: 2% 2%;

        h2 {
            color: var(--orange);
            font-size: var(--product-h2-font-sz);
            font-weight: lighter;
            text-align: center;
            text-transform: uppercase;
        }

        p.subtitle {
            color: var(--font-color);
            font-size: var(--product-subtitle-font-sz);
            text-align: center;
            font-weight: bold;
            text-transform: uppercase;
            padding: 1%;
        }

        p.text {
            color: var(--font-color);
            font-size: var(--product-txt-font-sz);
            text-align: var(--product-txt-align);
            font-weight: lighter;
            letter-spacing: 0.15ch;
            padding: 1rem;
            max-width: 1080px;
        }

        img {
            max-height: 50vh;
            justify-self: center;
            max-width: 90%;
        }

        div {
            display: flex;
            justify-content: center;
            gap: 25%;

            a {
                color: var(--orange);
                font-size: var(--product-txt-font-sz);
                font-weight: bold;
                text-transform: uppercase;
                padding: 0.5rem 1rem;
                max-width: 300px;
                display: grid;
                place-items: center;
                letter-spacing: 0.1ch;

                &.btn {
                    border: 2px solid var(--orange);
                    border-radius: var(--border-radius);
                    transition: color 0.5s background-color 0.6s;
                    text-align: center;

                    &:hover {
                        color: white;
                        background-color: var(--orange);
                        transition: color 0.5s background-color 0.6s;
                    }
                }

                &.link:hover {
                    text-decoration: underline;
                    color: var(--orange);
                }
            }
        }

        @media screen and (max-width: 1080px) {
            --product-h2-font-sz: 40px;
            --product-subtitle-font-sz: 20px;
            --product-txt-font-sz: 18px;
            --product-txt-align: left;
        }

        &.pcb__rsm,
        &.pcb__cswb {
            background-color: #fffcf7;
        }
    }

    &.pcb__promo {
        --font-sz-h2: 40px;
        --font-sz-txt: 25px;
        padding: 2%;
        display: grid;

        h2 {
            color: var(--orange);
            font-size: var(--font-sz-h2);
            justify-self: center;
            text-align: center;
            font-weight: bold;
            width: 100%;
            max-width: 1080px;
            margin-bottom: 2rem;
        }

        .box {
            width: 100%;
            max-width: 1080px;
            display: grid;
            justify-self: center;
            grid-template-columns: 65% 35%;

            @media screen and (max-width: 1080px) {
                grid-template-columns: 100%;
                grid-template-rows: none;
            }
        }

        .text {
            font-size: var(--font-sz-txt);
            color: var(--font-color);

            p {
                margin-bottom: 2rem;
            }

            a.btn {
                border: 2px solid var(--orange);
                color: white;
                font-size: var(--font-sz-txt);
                font-weight: bold;
                text-transform: uppercase;
                padding: 0.5rem 1rem;
                border-radius: var(--border-radius);
                max-width: 300px;
                display: grid;
                place-items: center;
                background-color: var(--orange);
                transition: color 0.5s background-color 0.6s;

                &:hover {
                    color: var(--orange);
                    background-color: white;
                    transition: color 0.5s background-color 0.6s;
                }

                @media screen and (max-width: 1080px) {
                    margin: auto;
                }
            }
        }

        picture {
            display: grid;
            padding: 2% 0;

            img {
                max-width: 80vw;
                justify-self: center;
            }
        }

        @media screen and (max-width: 1080px) {
            --font-sz-h2: 35px;
            --font-sz-txt: 20px;
        }

        @media screen and (max-width: 500px) {
            --font-sz-h2: 29px;
            --font-sz-txt: 19px;
        }
    }

    &.pcb__bic_graphic {
        --font-sz-h2: 40px;
        --font-sz-txt: 25px;
        --font-sz-subtitle: 29px;
        --first-img-width: 45vw;

        display: grid;

        .head {
            width: 100%;
            max-width: 1080px;
            padding: 1% 2%;
            justify-self: center;
            margin-bottom: 2rem;

            h2 {
                color: var(--orange);
                font-size: var(--font-sz-h2);
                text-align: center;
                font-weight: bold;
            }

            .subtitle {
                color: var(--font-color);
                font-size: var(--font-sz-subtitle);
                text-align: center;
                font-weight: bold;
            }
        }

        .first,
        .box {
            width: 100%;
            max-width: 1080px;
            padding: 1% 2%;
            justify-self: center;
            display: grid;

            picture {
                display: grid;
            }

            img {
                justify-self: center;
                width: 100%;
            }

            p {
                color: var(--font-color);
                font-size: var(--font-sz-txt);
            }
        }

        .first picture img {
            max-width: var(--first-img-width);
        }

        .box {
            grid-template-columns: 1fr 1fr;

            p {
                align-self: center;
                padding: 2%;

                &.rtext {
                    text-align: right;
                }
            }

            &.last {
                grid-template-areas: "img text";

                picture {
                    grid-area: img;
                }

                div {
                    grid-area: text;
                }
            }

            @media screen and (max-width: 800px) {
                grid-template-columns: none;

                img {
                    max-width: 70vw;
                }

                p.rtext {
                    text-align: left;
                }

                &.last {
                    grid-template-areas: "text" "img";
                }
            }
        }

        @media screen and (max-width: 1080px) {
            --font-sz-h2: 35px;
            --font-sz-txt: 20px;
            --font-sz-subtitle: 26px;
            --first-img-width: 65vw;
        }

        @media screen and (max-width: 800px) {
            --font-sz-h2: 30px;
            --font-sz-txt: 18px;
            --font-sz-subtitle: 22px;
            --first-img-width: 80vw;
        }
    }

    &.pcb__partners {
        --text-background-color: whitesmoke;
        --font-sz-h2: 27px;
        --font-sz-txt: 22px;
        --margin-bottom: 200px;
        --text-width: 70%;

        display: grid;
        padding: 0 2%;

        .container {
            max-width: 1080px;
            width: 100%;
            padding: 3%;
            display: grid;
            justify-self: center;
            height: 515px;
            margin-bottom: var(--margin-bottom);

            background-image: url("https://cloud.promuevete.com.mx/bic_public/promuevete%20con%20Bic/Round%20Stic%20Mexicano_03.png");
            background-size: cover;
            background-position: center;
            border-radius: var(--border-radius);

            .textbox {
                display: grid;
                position: relative;
                bottom: -85%;
                background-color: var(--text-background-color);
                border-radius: var(--border-radius);
                padding: 2%;
                height: fit-content;
                text-align: center;

                @media screen and (max-width: 800px) {
                    position: inherit;
                    bottom: 0;
                    height: 100%;
                    backdrop-filter: blur(0.5rem);
                }

                h2 {
                    color: var(--orange);
                    font-size: var(--font-sz-h2);
                    font-weight: lighter;
                    padding-bottom: 1rem;
                    text-transform: uppercase;
                }

                p {
                    color: var(--font-color);
                    font-size: var(--font-sz-txt);
                    width: var(--text-width);
                    justify-self: center;
                    margin-bottom: 2rem;
                }

                a {
                    border: 2px solid var(--orange);
                    height: fit-content;
                    color: white;
                    font-size: var(--font-sz-txt);
                    font-weight: bold;
                    text-transform: uppercase;
                    padding: 0.5rem 1rem;
                    border-radius: var(--border-radius);
                    max-width: 300px;
                    display: grid;
                    place-items: center;
                    background-color: var(--orange);
                    transition: color 0.5s background-color 0.6s;
                    justify-self: center;

                    &:hover {
                        color: var(--orange);
                        background-color: whitesmoke;
                        transition: color 0.5s background-color 0.6s;
                    }
                }
            }
        }

        @media screen and (max-width: 1080px) {
            --font-sz-h2: 25px;
            --font-sz-txt: 20px;
        }

        @media screen and (max-width: 800px) {
            --text-background-color: rgba(255, 255, 255, 0.84);
            --font-sz-h2: 20px;
            --font-sz-txt: 18px;
            --margin-bottom: 2rem;
            --text-width: 100%;
        }
    }

    @media screen and (max-width: 1400px) {
        --banner-font-sz: 40px;
    }

    @media screen and (max-width: 1080px) {
        --action-btn-font-sz: 25px;
        --action-btn-width: 300px;
        --banner-font-sz: 35px;
    }

    @media screen and (max-width: 500px) {
        --action-btn-font-sz: 20px;
        --action-btn-width: 250px;
        --banner-padding: 0;
        --banner-font-sz: 28px;
    }

    @media screen and (orientation: portrait) {
        --banner-background-img: url("https://cloud.promuevete.com.mx/bic_public/promuevete%20con%20Bic/banner-clear-movil.webp");
    }
}

main {
    margin-bottom: 5rem;
}

.contact__item {
    background-color: whitesmoke;
}
